Pour râler après AppStore ?

Le
Aegidius
Je m'explique, enfin j'essaie, hein !!

Voilà suite aux dernières mise a jour j'ai deux applications payantes
récentes qui ne fonctionnent plus ou presque. Après discussions avec les
2 Éditeurs en question, rien a faire on doit repayer

La première est Air Display a 8 € quand même acheté Mars 2013 qui ne
fonctionne plus et obligé d'acheter la version actuelle, même pas un
geste

La deuxième est Heredis version iPad date indiqué 08/04/2015 mais je
pense 2013 avec une application Mac plus de 50 € actuellement

Ou râler auprès d'Apple, celui-ci devrait tout de même exiger une
certaine pérennité ?
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 8
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
eric.hamery
Le #26373905
Aegidius
Je m'explique, enfin j'essaie, hein !!

Voilà suite aux dernières mise a jour j'ai deux applications payantes
récentes qui ne fonctionnent plus ou presque. Après discussions avec les
2 Éditeurs en question, rien a faire on doit repayer...

La première est Air Display a 8 ¤ quand même acheté Mars 2013 qui ne
fonctionne plus et obligé d'acheter la version actuelle, même pas un
geste...

La deuxième est Heredis version iPad date indiqué 08/04/2015 mais je
pense 2013 avec une application Mac plus de 50 ¤ actuellement...

Ou râler auprès d'Apple, celui-ci devrait tout de même exiger une
certaine pérennité ?



moi c'est avec iStatMenu... mon numero de serie ne semble pas marcher
alors que la version que j'avais fonctionnait mais sous Yosemite...

mise a jour obligatoire de iStatMenu au vu quelle ne fonctionne plus sur
El Capitan...








--
/ Mes Services - http://www.metamaitre.com
--o-- Forum "Méta-Science" - http://www.meta-science-forum.info/
/ <08-D<X=8 - Il doit bien y avoir... http://minilien.fr/a0pn0y
------------------------> La Vie Est Belle <----------------------<<<
eric.hamery
Le #26373906
Dieu Rê Pur / Pur Rê Méta-Maître et Dieu de l'Extrême

Aegidius
> Je m'explique, enfin j'essaie, hein !!
>
> Voilà suite aux dernières mise a jour j'ai deux applications payantes
> récentes qui ne fonctionnent plus ou presque. Après discussions avec les
> 2 Éditeurs en question, rien a faire on doit repayer...
>
> La première est Air Display a 8 ¤ quand même acheté Mars 2013 qui ne
> fonctionne plus et obligé d'acheter la version actuelle, même pas un
> geste...
>
> La deuxième est Heredis version iPad date indiqué 08/04/2015 mais je
> pense 2013 avec une application Mac plus de 50 ¤ actuellement...
>
> Ou râler auprès d'Apple, celui-ci devrait tout de même exiger une
> certaine pérennité ?

moi c'est avec iStatMenu... mon numero de serie ne semble pas marcher
alors que la version que j'avais fonctionnait mais sous Yosemite...

mise a jour obligatoire de iStatMenu au vu quelle ne fonctionne plus sur
El Capitan...



correction faite... je suis retourner voir la config de iStatMenu, et
miracle il me dit que je suis enregistrer...! ça n'avais pas marcher la
premiere fois... donc RAS...

--
/ Mes Services - http://www.metamaitre.com
--o-- Forum "Méta-Science" - http://www.meta-science-forum.info/
/ <08-D<X=8 - Il doit bien y avoir... http://minilien.fr/a0pn0y
------------------------> La Vie Est Belle <----------------------<<<
benoit
Le #26373984
Aegidius
Je m'explique, enfin j'essaie, hein !!

Voilà suite aux dernières mise a jour j'ai deux applications payantes
récentes qui ne fonctionnent plus ou presque. Après discussions avec les
2 Éditeurs en question, rien a faire on doit repayer...

La première est Air Display a 8 ¤ quand même acheté Mars 2013 qui ne
fonctionne plus et obligé d'acheter la version actuelle, même pas un
geste...

La deuxième est Heredis version iPad date indiqué 08/04/2015 mais je
pense 2013 avec une application Mac plus de 50 ¤ actuellement...

Ou râler auprès d'Apple, celui-ci devrait tout de même exiger une
certaine pérennité ?



Comment veux-tu qu'Apple garantisse une pérennité à partir du moment où
il prévient les développeurs longtemps à l'avance (autant que faire se
peut) des modifications qu'il y aura dans le système, et que les
développeurs n'en tiennent souvent pas compte. On ne modifie pas un truc
qui fonctionne aujourd'hui pour qu'éventuellement il fonctionne dans
trois ans, donc je ne sors pas aujourd'hui une mise à jour pour l'OS qui
sortira dans trois ans. Ces modifications seront incluses en temps
utile.

Ensuite, pour la sortie du dernier OS, je ne vais pas faire une mise à
jour pour la version 1 de mon appli sortie en 2006, pour la version 2
sortie en 2008... et pour la version 25 sortie l'année dernière.

Si tu veux faire des économies : tu gardes ta machine dans l'état où
elle est si ça roule et tu ne touches à rien. Juste les mises à jour
intermédiaires qui corrigent des pb. Dès lors que tu veux utiliser les
toutes dernières technos mise à disposition tu auras des applis qui ne
fonctionneront plus et il te faudra souvent acheter une/des mise à jour.
C'est le jeu.



--
"La théorie, c'est quand on sait tout et que rien ne fonctionne. La
pratique, c'est quand tout fonctionne et que personne ne sait pourquoi.
Ici, nous avons réuni théorie et pratique : Rien ne fonctionne... et
personne ne sait pourquoi !" [ Albert Einstein ]
J.P
Le #26373991
In article (Benoit) wrote:

Dès lors que tu veux utiliser les
toutes dernières technos mise à disposition tu auras des applis qui ne
fonctionneront plus et il te faudra souvent acheter une/des mise à jour.
C'est le jeu.




Oui, mais quand tu vois les problèmes de Apple Mail avec la première
version de Capitan, tu te demandes si le problème est du côté
développeurs tiers ou du côté d'Apple.
Il est de plus en plus évident qu'Apple est incapable de soutenir le
rythme d'évolution de son OS qu'il s'est lui-même imposé.

--
Jean-Pierre
Aegidius
Le #26374010
Je comprends très bien tes propos qui te parle de programmes de 10 ans
(ou presque) ?

On en est entre 2 et 3 ans j'ai un peu de mal a retrouver les dates...

Ensuite le premier me demande de contacter Apple pour demander un
remboursement...

Je trouve quand même que d'avoir la dernière version serait un minimum
quitte a ce que celle-ci soit bridée aux fonctions précédentes...

C'est dans la boutique d'Apple que c'est acheté et il me semble logique
de m'adresser a cette boutique...

Ensuite il est normal de porter a la connaissance d'Apple certaines
pratiques. Surtout que dans les 2 cas le fonctionnement était loin
d'être parfait. Un peu programmé a la pioche, avec l'habitude on s'en
aperçoit de suite.

Programmant a mes heures si on respecte les consignes d'Apple ça
fonctionne un moment quand même...

Le 24/10/2015 21:26, Benoit a écrit :
Aegidius
Je m'explique, enfin j'essaie, hein !!

Voilà suite aux dernières mise a jour j'ai deux applications payantes
récentes qui ne fonctionnent plus ou presque. Après discussions avec les
2 Éditeurs en question, rien a faire on doit repayer...

La première est Air Display a 8 ¤ quand même acheté Mars 2013 qui ne
fonctionne plus et obligé d'acheter la version actuelle, même pas un
geste...

La deuxième est Heredis version iPad date indiqué 08/04/2015 mais je
pense 2013 avec une application Mac plus de 50 ¤ actuellement...

Ou râler auprès d'Apple, celui-ci devrait tout de même exiger une
certaine pérennité ?



Comment veux-tu qu'Apple garantisse une pérennité à partir du moment où
il prévient les développeurs longtemps à l'avance (autant que faire se
peut) des modifications qu'il y aura dans le système, et que les
développeurs n'en tiennent souvent pas compte. On ne modifie pas un truc
qui fonctionne aujourd'hui pour qu'éventuellement il fonctionne dans
trois ans, donc je ne sors pas aujourd'hui une mise à jour pour l'OS qui
sortira dans trois ans. Ces modifications seront incluses en temps
utile.

Ensuite, pour la sortie du dernier OS, je ne vais pas faire une mise à
jour pour la version 1 de mon appli sortie en 2006, pour la version 2
sortie en 2008... et pour la version 25 sortie l'année dernière.

Si tu veux faire des économies : tu gardes ta machine dans l'état où
elle est si ça roule et tu ne touches à rien. Juste les mises à jour
intermédiaires qui corrigent des pb. Dès lors que tu veux utiliser les
toutes dernières technos mise à disposition tu auras des applis qui ne
fonctionneront plus et il te faudra souvent acheter une/des mise à jour.
C'est le jeu.



benoit
Le #26374047
J.P
In article (Benoit) wrote:

> Dès lors que tu veux utiliser les
> toutes dernières technos mise à disposition tu auras des applis qui ne
> fonctionneront plus et il te faudra souvent acheter une/des mise à jour.
> C'est le jeu.
>

Oui, mais quand tu vois les problèmes de Apple Mail avec la première
version de Capitan, tu te demandes si le problème est du côté
développeurs tiers ou du côté d'Apple.
Il est de plus en plus évident qu'Apple est incapable de soutenir le
rythme d'évolution de son OS qu'il s'est lui-même imposé.



Oui

--
"La théorie, c'est quand on sait tout et que rien ne fonctionne. La
pratique, c'est quand tout fonctionne et que personne ne sait pourquoi.
Ici, nous avons réuni théorie et pratique : Rien ne fonctionne... et
personne ne sait pourquoi !" [ Albert Einstein ]
benoit
Le #26374046
Aegidius
Je comprends très bien tes propos qui te parle de programmes de 10 ans
(ou presque) ?

On en est entre 2 et 3 ans j'ai un peu de mal a retrouver les dates...



Cela veut dire 2-3 mise à jour système. Non ? C'est beaucoup.

Ensuite le premier me demande de contacter Apple pour demander un
remboursement...

Je trouve quand même que d'avoir la dernière version serait un minimum
quitte a ce que celle-ci soit bridée aux fonctions précédentes...



Fonctions précédentes qui peuvent avoir été réécrites pour pouvoir
tourner sur le nouvel OS, tu récupères gratos du boulot qui n'est pas de
la correction de bugs, mais ceux qui apparaîssent avec une évolution du
système.

C'est dans la boutique d'Apple que c'est acheté et il me semble logique
de m'adresser a cette boutique...



Non, le développeur peut tout à fait décider de vendre deux applis : une
compatible d'OS X.x à X.y et une compatible à partir de X.z (z pouvant
être entre x et y). Cela veut aussi dire qu'il a des gars qui vont
bosser pour aucune rentrée d'argent et donc moins pour sortir un nouveau
produit plus performant et qui augmentera les ventes.

Regarde les applis commercialisées en direct, certains dévs continuent
de proposer de vieilles versions. Ce qui permet à certains de corriger
des petits bugs sur du vieux code, pendant un certain temps.

Ensuite il est normal de porter a la connaissance d'Apple certaines
pratiques. Surtout que dans les 2 cas le fonctionnement était loin
d'être parfait. Un peu programmé a la pioche, avec l'habitude on s'en
aperçoit de suite.



Le boulot d'Apple ou celui du développeur ? Si le développeur ne faisait
pas un logiciel assez carré, Apple n'y est pour rien. Si le développeur
utilise des fonctions assez basses dans le système, et directement, sans
passer par les couches supérieures fournies par Apple, Apple n'y est
pour rien. Si le développeur contourne le système pour quelque raison
que ce soit, c'est normal qu'il doive réécrire pas mal de code.

Récupère un iPhone 3G vendu en 2012 et regarde ce que tu peux
télécharger comme appli compatibles avec iOS 4 : pas grand chose, mais
alors pas grand chose du tout. De la faute du développeur ? Une machine
achetée il y a trois ans est donc peu utilisable aujourd'hui en dehors
du téléphone.

Programmant a mes heures si on respecte les consignes d'Apple ça
fonctionne un moment quand même...



Je reviens aux multiples évolutions du système qu'il y a eues. Si tu
développes une appli simple, dans le sens où elle ne fait pas du tout
appel au système hors l'affichage à l'écran et l'impression, ton appli
peut durer pas mal de temps, il n'y a qu'à regarder MacSoup. Pas de
nouveautés, juste des corrections qui doivent être légère je suppose.

En résumé :
- Si une appli est buggué dès le départ, Apple n'y est pour rien ;
- Si elle bug parce que l'OS évolue, Apple n'y est pour rien ;
- Si le développeur passe du temps, gratuitement, pour des anciens
acheteurs, il ne gagne plus d'argent et peut couler. On objectif n'est
pas de faire fortune, c'est de vendre pour bouffer.

Tu achètes une machine, un OS, une appli à un instant T, ça roule : pas
touche. Tu veux avoir tous les trucs qui font zim boum du nouvel OS cela
impliquera de mettre à jour les applis, voir ton matos. Idem si tu
changes ton matos, tu vas avoir des dommages collatéraux.

If it works, don't fix it! If it doesn't: good luck!


P.S. ce serait bien de respecter les règles, us et coutumes d'Usenet qui
consistent à répondre après les questions et de supprimer tout ce qui ne
rentrent plus dans la discussion. Je sais que c'est _hiant de faire le
tri et ranger les choses, le seul truc c'est quand celui qui répond le
fait, les multiples lecteurs n'auront pas à faire le boulot chacun dans
son coin. Y en a un qui bosse et les autres bénéficient de son travail.
Et pas un que le fait à la va-vite et les autres qui font chacun le
travail dans leur coin.

--
"La théorie, c'est quand on sait tout et que rien ne fonctionne. La
pratique, c'est quand tout fonctionne et que personne ne sait pourquoi.
Ici, nous avons réuni théorie et pratique : Rien ne fonctionne... et
personne ne sait pourquoi !" [ Albert Einstein ]
michel.vauquois
Le #26374054
Benoit
P.S. ce serait bien de respecter les règles, us et coutumes d'Usenet qui
consistent à répondre après les questions et de supprimer tout ce qui ne
rentrent plus dans la discussion.



D'habitude, il le fait mais il lui arrive - très rarement - de répondre
comme ici.
--
Michel Vauquois
Que Dieu vous garde... Moi j'ai pas le temps (RD)
MàJ 2015 : Matière à voir :
quark67
Le #26374065
Benoit
Récupère un iPhone 3G vendu en 2012 et regarde ce que tu peux
télécharger comme appli compatibles avec iOS 4 :



???
L'iPhone 3G est sorti mi 2008.
En septembre 2012 est sorti l'iPhone 5, compatible iOS 9 (de même que
l'iPhone 4s qui l'a précédé).
Selon la keynote d'octobre 2011, la gamme en vente débutait par l'iPhone
3GS (qui pouvait être mis en iOS 6 me semble-t-il).
Donc en 2012, tu n'as pas pu acheter un iPhone 3G neuf (ou alors tu t'es
fait arnaquer).

Pour le reste, je te rejoins.

La démarche d'Aegidius s'apparente à quelqu'un qui voudrait porter
plainte auprès du restaurateur chez qui il a diné la veille, pour se
faire rembourser, car ce qu'il a mangé n'est désormais plus bon que pour
l'évacuation par les WC. C'est à Aegidius de vérifier que les logiciels
dont il a besoin fonctionnent encore sous le nouveau système. Et c'est à
l'éditeur de faire en sorte de fournir une mise à jour gratuite de
compatibilité s'il désire conserver la confiance de ses clients.

Ceci étant, son problème d'origine n'est pas clair. Il veut se faire
rembourser Heredis version iPad ? Sur l'App Store, c'est affiché comme
étant gratuit.
benoit
Le #26374112
quark67
L'iPhone 3G est sorti mi 2008.
En septembre 2012 est sorti l'iPhone 5, compatible iOS 9 (de même que
l'iPhone 4s qui l'a précédé).
Selon la keynote d'octobre 2011, la gamme en vente débutait par l'iPhone
3GS (qui pouvait être mis en iOS 6 me semble-t-il).
Donc en 2012, tu n'as pas pu acheter un iPhone 3G neuf (ou alors tu t'es
fait arnaquer).



Je me suis emmelé les pinceaux, c'est le 3GS qui a été commercialisé
jusqu'en 2012. Et est compatible iOS 6 je crois.

--
"La théorie, c'est quand on sait tout et que rien ne fonctionne. La
pratique, c'est quand tout fonctionne et que personne ne sait pourquoi.
Ici, nous avons réuni théorie et pratique : Rien ne fonctionne... et
personne ne sait pourquoi !" [ Albert Einstein ]
Publicité
Poster une réponse
Anonyme